<?php 
	session_start();
	include_once '../../model/modelAcceso/modelUsuario.php';

	$param = array();
	$param['param_opcion'] = '';
	$param['param_idUsuario'] = '';
	$param['param_idTrabajador'] = '';
	$param['param_idRol'] = '';
	$param['param_dni'] = '';
	$param['param_nombre'] = '';
	$param['param_apePaterno'] = '';
	$param['param_apeMaterno'] = '';
	$param['param_direccion'] = '';
	$param['param_email'] = '';
	$param['param_telefono'] = '';
	$param['param_usuario'] = '';
	$param['param_pass'] = '';
	$param['param_passActual'] = '';
	$param['param_activo'] = '';
	
	


	if(isset($_POST['param_opcion']))
	{
		$param['param_opcion'] = $_POST['param_opcion'];
	}
	if(isset($_POST['param_idUsuario']))
	{
		$param['param_idUsuario'] = $_POST['param_idUsuario'];
	}
	if(isset($_POST['param_idTrabajador']))
	{
		$param['param_idTrabajador'] = $_POST['param_idTrabajador'];
	}
	if(isset($_POST['param_idRol']))
	{
		$param['param_idRol'] = $_POST['param_idRol'];
	}
	if(isset($_POST['param_dni']))
	{
		$param['param_dni'] = $_POST['param_dni'];
	}
	if(isset($_POST['param_nombre']))
	{
		$param['param_nombre'] = $_POST['param_nombre'];
	}
	if(isset($_POST['param_apePaterno']))
	{
		$param['param_apePaterno'] = $_POST['param_apePaterno'];
	}
	if(isset($_POST['param_apeMaterno']))
	{
		$param['param_apeMaterno'] = $_POST['param_apeMaterno'];
	}
	if(isset($_POST['param_direccion']))
	{
		$param['param_direccion'] = $_POST['param_direccion'];
	}
	if(isset($_POST['param_email']))
	{
		$param['param_email'] = $_POST['param_email'];
	}
	if(isset($_POST['param_telefono']))
	{
		$param['param_telefono'] = $_POST['param_telefono'];
	}	
	if(isset($_POST['param_usuario']))
	{
		$param['param_usuario'] = $_POST['param_usuario'];
	}
	if(isset($_POST['param_pass']))
	{
		$param['param_pass'] = $_POST['param_pass'];
	}	
	if(isset($_POST['param_passActual']))
	{
		$param['param_passActual'] = $_POST['param_passActual'];
	}
	if(isset($_POST['param_activo']))
	{
		$param['param_activo'] = $_POST['param_activo'];
	}	
    
	$Usuario = new Usuario_model();
	echo $Usuario->gestionar($param);


?>